Bug 963523 - search:begin-of-word,end-of-word (eg /\<man\>) dont work in rhel6 less
search:begin-of-word,end-of-word (eg /\<man\>) dont work in rhel6 less
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: less (Show other bugs)
6.6
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Fridolín Pokorný
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 23:50 EDT by gregrwm
Modified: 2013-07-04 04:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-16 03:56:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gregrwm 2013-05-15 23:50:35 EDT
Description of problem:  a search such as /\<man\> (containing begin-of-word and end-of-word) doesn't work in rhel6 less.

Version-Release number of selected component (if applicable):  less 436 10.el6 x86_64

How reproducible:  always

Steps to Reproduce:
1.  man man
2.  /\<man\>
  
Actual results:  Pattern not found

Expected results:  search should succeed

Additional info:  works fine elsewhere, eg rhel5, and ubuntu precise
Comment 2 Fridolín Pokorný 2013-05-16 03:56:53 EDT
Hi,

thanks for your report! less used in RHEL6 is built with pcre (Perl Compatible
Regular Expressions). If you want to perform such search, you have to
use following regexp:

\bman\b

I am closing this as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.